# $Revision: 1.18 $, $Date: 2010/08/28 12:41:08 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make check"
#
Summary:	Sample Rate Converter library
Summary(pl.UTF-8):	Biblioteka do konwersji częstotliwości próbkowania
Name:		libsamplerate
Version:	0.1.7
Release:	2
License:	GPL v2+
Group:		Libraries
#Source0Download:	http://www.mega-nerd.com/SRC/download.html
Source0:	http://www.mega-nerd.com/SRC/%{name}-%{version}.tar.gz
# Source0-md5:	ad093e60ec44f0a60de8e29983ddbc0f
Patch0:		%{name}-tests.patch
URL:		http://www.mega-nerd.com/SRC/
%{?with_tests:BuildRequires:	fftw3-devel >= 0.15.0}
BuildRequires:	libsndfile-devel >= 1.0.10
BuildRequires:	pkgconfig
Requires:	libsndfile >= 1.0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. SRC is capable of arbitrary and time varying conversions; from
downsampling by a factor of 12 to upsampling by the same factor. SRC
provides a small set of converters to allow quality to be traded off
against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

%description -l pl.UTF-8
Biblioteka libsamplerate (zwana także Secret Rabbit Code lub Sample
Rate Converter - w skrócie SRC) służy do konwersji częstotliwości
próbkowania dźwięku. SRC może wykonywać dowolnych konwersji - od
zmniejszania częstotliwości do 12 razy do zwiększania o ten sam
współczynnik. SRC udostępnia niewielki zestaw konwerterów
pozwalających na pogodzenie jakości i czasu trwania konwersji.
Aktualnie najlepszy konwerter udostępnia współczynnik sygnał/szum 97dB
z rozszerzeniem zakresu pasma -3dB z DC do 96% teoretycznie
najlepszego pasma dla danej pary częstotliwości próbkowania wejścia i
wyjścia.

%package devel
Summary:	Header file for libsamplerate library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libsamplerate
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for libsamplerate library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libsamplerate.

%package static
Summary:	libsamplerate static library
Summary(pl.UTF-8):	Statyczna biblioteka libsamplerate
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libsamplerate static library.

%description static -l pl.UTF-8
Statyczna biblioteka libsamplerate.

%package tools
Summary:	libsamplerate utilities
Summary(pl.UTF-8):	Narzędzia do libsamplerate
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description tools
libsamplerate utilities - currently include one program to resample
audio files read and written using libsndfile.

%description tools -l pl.UTF-8
Narzędzia do libsamplerate - aktualnie zawierają program do zmiany
częstotliwości próbkowania plików dźwiękowych czytanych i zapisywanych
przez libsndfile.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%{?with_tests:%{__make} -C tests check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README doc/*.{html,css,png}
%attr(755,root,root) %{_libdir}/libsamplerate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsamplerate.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsamplerate.so
%{_libdir}/libsamplerate.la
%{_includedir}/samplerate.h
%{_pkgconfigdir}/samplerate.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsamplerate.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sndfile-resample

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsamplerate.spec,v $
Revision 1.18  2010/08/28 12:41:08  hawk
- fix x86_64 build

Revision 1.17  2010/06/22 20:16:07  qboosh
- updated to 0.1.7
- dropped ac/am rebuild (not needed, causes m4 to loop forever)

Revision 1.16  2009/12/01 00:37:05  sparky
- BR: pkgconfig

Revision 1.15  2008/12/26 02:38:50  adamg
- reverted previous commit (mistake)

Revision 1.14  2008/12/26 01:52:47  adamg
- updated to 1.3.2

Revision 1.13  2007/02/22 17:08:29  megabajt
- release 3 for rebuild

Revision 1.12  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:04  baggins
- converted to UTF-8

Revision 1.10  2005/04/13 07:50:20  qboosh
- runtime dependency as well

Revision 1.9  2005/04/06 14:46:49  djurban
- it requires libsndfile >= 1.0.10

Revision 1.8  2005/01/12 13:01:18  wrobell
- builds only with fftw 3.x
- rel. 2

Revision 1.7  2004/12/21 21:56:34  qboosh
- strict internal deps

Revision 1.6  2004/10/30 15:39:08  pluto
- secret rabbit code updated to 0.1.2.
- release 1.

Revision 1.5  2004/01/16 02:34:52  undefine
- release 3, ac/am/lt

Revision 1.4  2004/01/15 12:13:06  qboosh
- new-style bcond, release 2 for Ac

Revision 1.3  2003/05/28 12:59:31  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:50:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/11 00:19:43  qboosh
- new
